AGPrefixMapping (agraph-java-client 5.0.4-SNAPSHOT API)
Description: declaration: package: com.franz.agraph.jena, class: AGPrefixMapping

Package com.franz.agraph.jena

# Class AGPrefixMapping

java.lang.Object
com.franz.agraph.jena.AGPrefixMapping

All Implemented Interfaces:
  `PrefixMapping`

public class AGPrefixMapping extends Object implements PrefixMapping
Implements the Jena PrefixMapping interface for AllegroGraph.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.jena.shared.PrefixMapping

  `PrefixMapping.Factory, PrefixMapping.IllegalPrefixException, PrefixMapping.JenaLockedException`

- ## Field Summary

  ### Fields inherited from interface org.apache.jena.shared.PrefixMapping

  `Extended, Standard`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AGPrefixMapping(AGGraph graph)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PrefixMapping`
  `clearNsPrefixMap()`
  `String`
  `expandPrefix(String prefixed)`
  `Map<String,String>`
  `getNsPrefixMap()`
  `String`
  `getNsPrefixURI(String prefix)`
  `String`
  `getNsURIPrefix(String uri)`
  `boolean`
  `hasNoMappings()`
  `PrefixMapping`
  `lock()`
  `int`
  `numPrefixes()`
  `String`
  `qnameFor(String uri)`
  `PrefixMapping`
  `removeNsPrefix(String prefix)`
  `boolean`
  `samePrefixMappingAs(PrefixMapping other)`
  `PrefixMapping`
  `setNsPrefix(String prefix, String uri)`
  `PrefixMapping`
  `setNsPrefixes(Map<String,String> map)`
  `PrefixMapping`
  `setNsPrefixes(PrefixMapping other)`
  `String`
  `shortForm(String uri)`
  `String`
  `toString()`
  `String`
  `toString(int max)`
  `PrefixMapping`
  `withDefaultMappings(PrefixMapping map)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AGPrefixMapping

    public AGPrefixMapping(AGGraph graph)

- ## Method Details

  - ### expandPrefix

    public String expandPrefix(String prefixed)
    Specified by:
      `expandPrefix` in interface `PrefixMapping`

  - ### getNsPrefixMap

    public Map<String,String> getNsPrefixMap()
    Specified by:
      `getNsPrefixMap` in interface `PrefixMapping`

  - ### getNsPrefixURI

    public String getNsPrefixURI(String prefix)
    Specified by:
      `getNsPrefixURI` in interface `PrefixMapping`

  - ### getNsURIPrefix

    public String getNsURIPrefix(String uri)
    Specified by:
      `getNsURIPrefix` in interface `PrefixMapping`

  - ### lock

    public PrefixMapping lock()
    Specified by:
      `lock` in interface `PrefixMapping`

  - ### hasNoMappings

    public boolean hasNoMappings()
    Specified by:
      `hasNoMappings` in interface `PrefixMapping`

  - ### qnameFor

    public String qnameFor(String uri)
    Specified by:
      `qnameFor` in interface `PrefixMapping`

  - ### removeNsPrefix

    public PrefixMapping removeNsPrefix(String prefix)
    Specified by:
      `removeNsPrefix` in interface `PrefixMapping`

  - ### clearNsPrefixMap

    public PrefixMapping clearNsPrefixMap()
    Specified by:
      `clearNsPrefixMap` in interface `PrefixMapping`

  - ### samePrefixMappingAs

    public boolean samePrefixMappingAs(PrefixMapping other)
    Specified by:
      `samePrefixMappingAs` in interface `PrefixMapping`

  - ### setNsPrefix

    public PrefixMapping setNsPrefix(String prefix, String uri)
    Specified by:
      `setNsPrefix` in interface `PrefixMapping`

  - ### setNsPrefixes

    public PrefixMapping setNsPrefixes(PrefixMapping other)
    Specified by:
      `setNsPrefixes` in interface `PrefixMapping`

  - ### setNsPrefixes

    public PrefixMapping setNsPrefixes(Map<String,String> map)
    Specified by:
      `setNsPrefixes` in interface `PrefixMapping`

  - ### shortForm

    public String shortForm(String uri)
    Specified by:
      `shortForm` in interface `PrefixMapping`

  - ### numPrefixes

    public int numPrefixes()
    Specified by:
      `numPrefixes` in interface `PrefixMapping`

  - ### withDefaultMappings

    public PrefixMapping withDefaultMappings(PrefixMapping map)
    Specified by:
      `withDefaultMappings` in interface `PrefixMapping`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### toString

    public String toString(int max)